"""Personnel Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import PersonnelSyncNode
from schemas.power.power import PowerResponse


class PersonnelJsonlHandler(BaseJsonlHandler):
    """人员 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "personnel", PersonnelSyncNode, PowerResponse)
